# bearychat – Send BearyChat notifications

New in version 2.4.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- The bearychat module sends notifications to https://bearychat.com via the Incoming Robot integration.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
attachments - |  | Define a list of attachments. For more information, see https://github.com/bearyinnovative/bearychat-tutorial/blob/master/robots/incoming.md#attachments
channel - |  | Channel to send the message to. If absent, the message goes to the default channel selected by the url.

markdown
boolean

Choices:
- no
- yes ←

If `yes`, text will be parsed as markdown.

text - |  | Message to send.
url - / required |  | BearyChat WebHook URL. This authenticates you to the bearychat service. It looks like `https://hook.bearychat.com/=ae2CF/incoming/e61bd5c57b164e04b11ac02e66f47f60`.

## Examples

    - name: Send notification message via BearyChat
      local_action:
        module: bearychat
        url: |
          https://hook.bearychat.com/=ae2CF/incoming/e61bd5c57b164e04b11ac02e66f47f60
        text: "{{ inventory_hostname }} completed"

    - name: Send notification message via BearyChat all options
      local_action:
        module: bearychat
        url: |
          https://hook.bearychat.com/=ae2CF/incoming/e61bd5c57b164e04b11ac02e66f47f60
        text: "{{ inventory_hostname }} completed"
        markdown: no
        channel: "#ansible"
        attachments:
          - title: "Ansible on {{ inventory_hostname }}"
            text: "May the Force be with you."
            color: "#ffffff"
            images:
              - http://example.com/index.png

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | execution result Sample: OK

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]
- This module is maintained by the Ansible Community. [community]

### Authors

- Jiangge Zhang (@tonyseek)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.